Region.EvictionAction (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.management.configuration

## Enum Region.EvictionAction

- java.lang.Object
- - java.lang.Enum<Region.EvictionAction>
  - - org.apache.geode.management.configuration.Region.EvictionAction

- All Implemented Interfaces:
    Serializable, Comparable<Region.EvictionAction>
  Enclosing class:
    Region

      public static enum Region.EvictionAction
      extends Enum<Region.EvictionAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_DESTROY`
    `OVERFLOW_TO_DISK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Region.EvictionAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Region.EvictionAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_DESTROY

          public static final Region.EvictionAction LOCAL_DESTROY

    - #### OVERFLOW_TO_DISK

          public static final Region.EvictionAction OVERFLOW_TO_DISK

  - ### Method Detail

    - #### values

          public static Region.EvictionAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Region.EvictionAction c : Region.EvictionAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Region.EvictionAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null